受注伝票一括同梱
POST
/api_v1_receiveorder_base/bundle
const url = 'https://api.next-engine.org/api_v1_receiveorder_base/bundle';const options = { method: 'POST', headers: {'Content-Type': 'application/x-www-form-urlencoded'}, body: new URLSearchParams({ access_token: 'example', refresh_token: 'example', wait_flag: '0', fields: 'example', offset: '1', limit: '1' })};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.next-engine.org/api_v1_receiveorder_base/bundle \ --header 'Content-Type: application/x-www-form-urlencoded' \ --data access_token=example \ --data refresh_token=example \ --data wait_flag=0 \ --data fields=example \ --data offset=1 \ --data limit=1Request Body required
Section titled “Request Body required ” Media type application/x-www-form-urlencoded
ネクストエンジン API 共通リクエストパラメータ
object
access_token
required
OAuth2 アクセストークン (必須)
string
refresh_token
OAuth2 リフレッシュトークン (access_token 期限切れ時の自動更新に使用)
string
wait_flag
同期実行フラグ。“1” 指定で処理完了を待つ
string
fields
取得するフィールドをカンマ区切りで指定 (search 系のみ)
string
offset
検索開始位置 (search 系のみ)
integer
limit
取得件数 (search 系のみ)
integer
Responses
Section titled “ Responses ”処理結果
Media type application/json
object
result
required
実行結果ステータス
string
code
エラー時のエラーコード
string
message
One of:
string
Array<object>
object
access_token
更新後のアクセストークン
string
access_token_end_date
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
string
refresh_token
更新後のリフレッシュトークン
string
refresh_token_end_date
リフレッシュトークン有効期限
string
data
エンドポイント固有のレスポンスデータ
count
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
integer | string
Example
{ "result": "success"}